import request from '@/utils/request'
// import qs from 'qs'

/**
 * queryUserInfoByPhone
 * @description 微信端, PC 用
 */
export function queryUserInfoByPhone(data) {
  const urlParams = `userMobile=${data.userMobile}`
  if (data.platform === 'WEIXIN') {
    return request({
      url: `api/wallet/wechat/front/integral/info?${urlParams}`,
      method: 'post',
      data: data,
    })
  } else {
    return request({
      url: `api/wallet/web/integral/info?${urlParams}`,
      method: 'post',
      data: data,
    })
  }
}

/**
 * getOrgInfo
 */
export function getOrgInfo(data) {
  return request({
    url: `/api/wallet/wechat/front/integral/orgInfo`,
    method: 'get',
    params: data,
  })
}

/**
 * 自助充值
 */
export function recharge(data) {
  return request({
    url: `/api/wallet/wechat/front/integral/recharge`,
    method: 'post',
    data,
  })
}

export default {
  queryUserInfoByPhone,
  getOrgInfo,
  recharge,
}
