import router from '@/router'
import store from '@/store'
import { getURLParameters, getEnv } from '@/utils'

window.appLoadedFlag = false // 应用窗口加载标记

router.beforeEach(async (to, from, next) => {
  console.log('[route]', from.path, to.path)
  // add route title
  const title = to.meta && to.meta.title
  if (title) {
    document.title = title
  }
  // 应用窗口加载

  if (!window.appLoadedFlag) {
    window.appLoadedFlag = true
    console.info('app onLaunch')
    console.info('app version', process.env.APP_VERSION)
    console.info('app URL', window.location.href)
    console.info('app URL Parameters', getURLParameters())
    console.info(
      '[用户信息] 设备信息: 是否安卓',
      getEnv().isAndroid,
      '是否IOS',
      getEnv().isIOS,
      '是否微信内打开',
      getEnv().isInWeixinApp,
      '是否小程序内打开',
      getEnv().isInMiniProgram,
    )
    // 客户端平台
    setPlatform()
  }

  next()
})

function setPlatform() {
  if (getEnv().isAndroid || getEnv().isIOS) {
    store.commit('setPlatform', 'H5')
  }

  if (getEnv().isInWeixinApp) {
    store.commit('setPlatform', 'WEIXIN')
  }

  console.log('客户端平台', store.state.platform)
}
