import { getAPI } from '@/utils'

/**
 * 服务地址
 * @param {*} code
 * @returns
 */
export function getServicePath(code) {
  // /data/wwwroot/default/merge/wx/ordermealwx
  const servicePath = {
    selfpay: '/pcm/selfpay/',
    flashdeliver: '/wx/flashdeliver/',
    flashdeliver_order: '/wx/flashdeliver/#/order',
    ordermeal: '/wx/ordermealwx/?moduleCode=ordermeal',
    ordermeal_order: '/wx/ordermealwx/?moduleCode=ordermeal&type=1',
    ordermeal_myCollect: '/wx/ordermealwx/?moduleCode=myCollect',
  }
  if (!servicePath[code]) {
    throw new Error('错误的服务链接')
  }
  return `${getAPI()}${servicePath[code]}`
}

/**
 * 返回聚合码地址
 * @param {*} url
 * @returns
 */
export function getPayAPI(url) {
  // 开发，测试环境下
  if (process.env.VUE_APP_ENV !== 'prod') {
    const patten = /^(https?:)?\/\/qr.95516.com/
    const host = 'http://payment-uat.cs.cmburl.cn'
    return url.replace(patten, host)
  }

  return url
}
